package com.hfkj.service.spread;

import com.hfkj.entity.BsUserSpreadOilChannel;

import java.util.List;
import java.util.Map;

/**
 * @className: BsUserSpreadOilChannelService
 * @author: HuRui
 * @date: 2025/3/31
 **/
public interface BsUserSpreadOilChannelService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsUserSpreadOilChannel data);

    /**
     * 查询详情
     * @param id
     * @return
     */
    BsUserSpreadOilChannel getDetail(Long id);

    /**
     * 查询详情
     * @param channel
     * @return
     */
    BsUserSpreadOilChannel getDetailByChannel(Integer channel);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsUserSpreadOilChannel> getList(Map<String,Object> param);
}
